import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:one_target_mobile_sdk/one_target_mobile_sdk.dart';
import 'package:one_target_mobile_sdk_example/common/constant.dart';
import 'package:one_target_mobile_sdk_example/screens/home/home_screen.dart';

import 'common/utils.dart';
import 'controller/debug_controller.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  DebugController cDebug = Get.put(DebugController());
  _setupTracking(cDebug);
  runApp(const HomeScreen());
}

void _setupTracking(DebugController debugController) {
  var result = Constant.setEnv(Constant.ENV_DEV);
  // var result = Constant.setEnv(Constant.ENV_STAG);
  // var result = Constant.setEnv(Constant.ENV_PROD);
  Utils.log("initState>>> result $result");
  G1SDK.instance.setupSDK(
    Constant.getEnv(),
    Constant.getWorkSpaceId(),
    isShowLog: kDebugMode,
    isEnableIAM: true,
    onLog: (String log) {
      Utils.log("onLog $log");
      debugController.addLog(log);
    },
  ).then((isSetupSuccess) {
    Utils.log("_setupTracking isSetupSuccess $isSetupSuccess");
  });
}
