import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../controller/debug_controller.dart';

class DebugScreen extends StatefulWidget {
  const DebugScreen({Key? key}) : super(key: key);

  @override
  State<DebugScreen> createState() => _DebugScreenState();
}

class _DebugScreenState extends State<DebugScreen> {
  DebugController cDebug = Get.find();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Colors.black,
        leading: IconButton(
          icon: const Icon(Icons.arrow_back_ios, color: Colors.white),
          onPressed: () {
            Get.back();
          },
        ),
        actions: [
          IconButton(
            icon: const Icon(Icons.clear, color: Colors.white),
            onPressed: () {
              cDebug.clearLog();
            },
          ),
        ],
        centerTitle: true,
        title: const Text('Debug'),
      ),
      body: Obx(() {
        return Container(
          color: Colors.black,
          padding: const EdgeInsets.all(16.0),
          child: _buildBodyView(),
        );
      }),
    );
  }

  Widget _buildBodyView() {
    var list = cDebug.listLog;
    return ListView.builder(
      physics: const BouncingScrollPhysics(),
      itemCount: list.length,
      reverse: true,
      itemBuilder: (context, i) {
        final reversedIndex = list.length - 1 - i;
        final item = list[reversedIndex];
        return Container(
          color: Colors.black,
          margin: const EdgeInsets.only(top: 5.0),
          child: Text(
            "[$reversedIndex] $item",
            style: const TextStyle(
              fontWeight: FontWeight.w400,
              fontSize: 8.0,
              color: Colors.white,
            ),
          ),
        );
      },
    );
  }
}
