import 'dart:io';

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:one_target_mobile_sdk/one_target_mobile_sdk.dart';

import '../../common/utils.dart';
import '../tracking/advancedTracking/search_flight_screen.dart';
import '../tracking/simpleTracking/simple_tracking_screen.dart';

class HomeScreen extends StatefulWidget {
  const HomeScreen({Key? key}) : super(key: key);

  @override
  State<HomeScreen> createState() => _HomeScreenState();
}

class _HomeScreenState extends State<HomeScreen> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      enableLog: true,
      debugShowCheckedModeBanner: true,
      defaultTransition: Transition.cupertino,
      transitionDuration: const Duration(milliseconds: 700),
      home: Scaffold(
        appBar: AppBar(
          leading: IconButton(
            icon: const Icon(Icons.arrow_back_ios, color: Colors.white),
            onPressed: () {
              exit(0);
            },
          ),
          actions: [
            Utils.getDebugViewIcon(),
          ],
          centerTitle: true,
          title: const Text('Sample'),
        ),
        body: Container(
          padding: const EdgeInsets.all(16.0),
          child: ListView(
            physics: const BouncingScrollPhysics(),
            children: [
              SampleButton(
                text: "Simple tracking",
                onPressed: () {
                  Get.to(() => const SimpleTrackingScreen());
                },
              ),
              SampleButton(
                text: "Advanced tracking",
                onPressed: () {
                  Get.to(() => const SearchFlightScreen());
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
