import 'dart:io';

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:one_target_mobile_sdk/one_target_mobile_sdk.dart';
import 'package:one_target_mobile_sdk_example/common/constant.dart';
import 'package:one_target_mobile_sdk_example/common/utils.dart';

class BookingSuccessScreen extends StatefulWidget {
  const BookingSuccessScreen({Key? key}) : super(key: key);

  @override
  State<BookingSuccessScreen> createState() => _BookingSuccessScreenState();
}

class _BookingSuccessScreenState extends State<BookingSuccessScreen> {
  @override
  void initState() {
    super.initState();
    _trackEvent();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Colors.white,
        elevation: 0,
        leading: IconButton(
          icon: const Icon(Icons.arrow_back_ios, color: Colors.black),
          onPressed: () {
            Get.back();
          },
        ),
        actions: [
          Utils.getDebugViewIcon(),
        ],
        centerTitle: true,
        title: const Text(''),
      ),
      body: Container(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          children: [
            const SizedBox(height: 16.0),
            const SizedBox(height: 16.0),
            Align(
              alignment: Alignment.center,
              child: Utils.getText(
                "Xác nhận đặt chỗ thành công",
                18,
                FontWeight.w500,
                Colors.black,
              ),
            ),
            const SizedBox(height: 16.0),
            const SizedBox(height: 16.0),
            const SizedBox(height: 16.0),
            Expanded(
              child: InkWell(
                onTap: () {
                  Navigator.of(context)
                      .pushNamedAndRemoveUntil('/', ModalRoute.withName('/'));
                },
                child: Container(
                  alignment: Alignment.topLeft,
                  child: Utils.getText(
                    "Home page",
                    12.0,
                    FontWeight.w500,
                    Colors.purple,
                  ),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }

  void _trackEvent() {
    var profile = <Map>[];
    G1SDK.instance.trackEvent(
      Constant.getWorkSpaceId(),
      {},
      profile,
      "purchase",
      DateTime.now().millisecondsSinceEpoch,
      {
        "platform": "APP",
        "ecommerce.currency": "VND",
        "ecommerce.transaction_id": "33AJV3",
        "ecommerce.value": "2899800",
        "ecommerce.items.0.item_id": "VJ197",
        "ecommerce.items.0.item_name": "Flight:SGN:HAN",
        "ecommerce.items.0.item_category": "FareOption",
        "ecommerce.items.0.item_variant": "Deluxe",
        "ecommerce.items.0.flight_time": "05:15-07:25",
        "ecommerce.items.0.flight_date": "2020-11-19",
        "ecommerce.items.0.flight_from": "SGN",
        "ecommerce.items.0.flight_to": "HAN",
        "ecommerce.items.0.item_list_id": "Outbound:HAN:SGN",
        "ecommerce.items.0.index": "1",
        "ecommerce.items.0.quantity": "1",
        "ecommerce.items.0.price": "899000",
        "ecommerce.items.1.item_id": "VJ120",
        "ecommerce.items.1.item_name": "Flight:HAN:SGN",
        "ecommerce.items.1.item_category": "FareOption",
        "ecommerce.items.1.item_variant": "SkyBoss",
        "ecommerce.items.1.flight_time": "20:50-23:45",
        "ecommerce.items.1.flight_date": "2020-11-27",
        "ecommerce.items.1.flight_from": "HAN",
        "ecommerce.items.1.flight_to": "SGN",
        "ecommerce.items.1.item_list_id": "Outbound:HAN:SGN",
        "ecommerce.items.1.index": "2",
        "ecommerce.items.1.quantity": "1",
        "ecommerce.items.1.price": "2000800",
      },
      onResponse: (value) {
        Utils.log(">>>onResponse $value");
      },
      onFailure: (value) {
        Utils.log(">>>onFailure $value");
      },
    );
  }
}
