import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:one_target_mobile_sdk_example/common/utils.dart';
import 'package:one_target_mobile_sdk_example/screens/tracking/advancedTracking/detail_flight_screen.dart';

class SearchFlightScreen extends StatefulWidget {
  const SearchFlightScreen({Key? key}) : super(key: key);

  @override
  State<SearchFlightScreen> createState() => _SearchFlightScreenState();
}

class _SearchFlightScreenState extends State<SearchFlightScreen> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Colors.white,
        elevation: 0,
        leading: IconButton(
          icon: const Icon(Icons.arrow_back_ios, color: Colors.black),
          onPressed: () {
            Get.back();
          },
        ),
        actions: [
          Utils.getDebugViewIcon(),
        ],
        centerTitle: true,
        title: const Text(''),
      ),
      body: Container(
        padding: const EdgeInsets.all(16.0),
        child: ListView(
          physics: const BouncingScrollPhysics(),
          children: [
            const SizedBox(height: 16.0),
            Align(
              alignment: Alignment.center,
              child: Utils.getText(
                "Tìm chuyến bay",
                32,
                FontWeight.w500,
                Colors.black,
              ),
            ),
            const SizedBox(height: 32.0),
            _buildRouterView(
              "Ho Chi Minh",
              () {},
              "02/08/2022",
              () {},
            ),
            const SizedBox(height: 16.0),
            _buildRouterView(
              "Ha Noi",
              () {},
              "03/09/2022",
              () {},
            ),
            const SizedBox(height: 16.0),
            const SizedBox(height: 16.0),
            Utils.getButton(
              "Tìm chuyến bay",
              16.0,
              Colors.white,
              Colors.deepPurple,
              null,
              () {
                Get.to(() => const DetailFlightScreen());
              },
            ),
          ],
        ),
      ),
    );
  }

  Widget _buildRouterView(
    String text1,
    VoidCallback? onPressed1,
    String text2,
    VoidCallback? onPressed2,
  ) {
    return Row(
      children: [
        Flexible(
          flex: 5,
          child: Utils.getButton(
            text1,
            16.0,
            Colors.black,
            Colors.white,
            const Icon(Icons.unfold_more),
            onPressed1,
          ),
        ),
        const SizedBox(width: 16.0),
        Flexible(
          flex: 3,
          child: Utils.getButton(
            text2,
            16.0,
            Colors.black,
            Colors.white,
            null,
            onPressed2,
          ),
        ),
      ],
    );
  }
}
